dpkg: Package database corruption ?

Bug #7568 reported by Debian Bug Importer on 2004-08-22
4
Affects Status Importance Assigned to Milestone
dpkg (Debian)
Fix Released
Unknown
dpkg (Ubuntu)
High
Matt Zimmerman

Bug Description

Automatically imported from Debian bug report #264974 http://bugs.debian.org/264974

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I could update my packages by taking the /var/lib/dpkg/available from another Debian unstable
computer and running "apt-get install".

Still, it's very annoying and i don't think that fixed the problem...
I can't test tho as there isn't any addition to the archive at the moment.

- -Pascal
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFBHRZz1Lfd97FsypURAjc1AKC1sV/0dXmZiRN7xvl4AMgS/rzczQCfWgzo
OGBt5shdfVKNvr0QpkpCH3E=
=0tKf
-----END PGP SIGNATURE-----

Vous manquez d’espace pour stocker vos mails ?
Yahoo! Mail vous offre GRATUITEMENT 100 Mo !
Créez votre Yahoo! Mail sur http://fr.benefits.yahoo.com/

Le nouveau Yahoo! Messenger est arrivé ! Découvrez toutes les nouveautés pour dialoguer instantanément avec vos amis. A télécharger gratuitement sur http://fr.messenger.yahoo.com

severity 264974 critical

breaks my system...

Vous manquez d’espace pour stocker vos mails ?
Yahoo! Mail vous offre GRATUITEMENT 100 Mo !
Créez votre Yahoo! Mail sur http://fr.benefits.yahoo.com/

Le nouveau Yahoo! Messenger est arrivé ! Découvrez toutes les nouveautés pour dialoguer instantanément avec vos amis. A télécharger gratuitement sur http://fr.messenger.yahoo.com

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #264974 http://bugs.debian.org/264974

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 11 Aug 2004 10:01:35 +0200 (CEST)
From: =?iso-8859-1?q?Pascal=20Giard?= <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: dpkg: Package database corruption ?

Package: dpkg
Version: 1.10.23
Severity: important

Altho i've updated the package lists (both in dselect and with apt-get),
the changes aren't effective.

I can't reinstall (apt-get install --reinstall <pkg>) updated packages.
e.g. At the moment i can't reinstall base-files. If i try tp update it,
it tells me it's up to date.

Looking closer to the package information, i can see that the "filename"
isn't present for affected packages.

So far, the only way i found in order to install the updated version of
a package is to:
-> dpkg -r <pkg>
-> apt-get install <pkg>

That way, it downloads the last version (it's unacceptable for essential
packages like base-files).
So the information is somewhat there but apt-get and dselect are unable
to use it.

Here's the content of my /etc/apt/sources.list:

deb http://ftp.it.debian.org/debian/ unstable main non-free contrib
deb-src http://ftp.us.debian.org/debian/ unstable main non-free contrib
deb http://non-us.debian.org/debian-non-US unstable/non-US main contrib
non-free
deb-src http://non-us.debian.org/debian-non-US unstable/non-US main
contrib non-free

deb http://download.videolan.org/pub/videolan/debian $(ARCH)/
deb ftp://ftp.nerim.net/debian-marillat/ unstable main

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (99, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.4
Locale: LANG=C, LC_CTYPE=C (ignored: LC_ALL set to fr_CA.ISO8859-1)

Versions of packages dpkg depends on:
ii dselect 1.10.22 a user tool to manage Debian packa
ii libc6 2.3.2.ds1-13 GNU C Library: Shared libraries an

-- no debconf information

Vous manquez d�espace pour stocker vos mails ?
Yahoo! Mail vous offre GRATUITEMENT 100 Mo !
Cr� votre Yahoo! Mail sur http://fr.benefits.yahoo.com/

Le nouveau Yahoo! Messenger est arriv� D�uvrez toutes les nouveaut�pour dialoguer instantan�nt avec vos amis. A t�charger gratuitement sur http://fr.messenger.yahoo.com

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Fri, 13 Aug 2004 21:26:08 +0200 (CEST)
From: =?iso-8859-1?q?Pascal=20Giard?= <email address hidden>
To: <email address hidden>
Subject: "workaround"

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I could update my packages by taking the /var/lib/dpkg/available from another Debian unstable
computer and running "apt-get install".

Still, it's very annoying and i don't think that fixed the problem...
I can't test tho as there isn't any addition to the archive at the moment.

- -Pascal
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFBHRZz1Lfd97FsypURAjc1AKC1sV/0dXmZiRN7xvl4AMgS/rzczQCfWgzo
OGBt5shdfVKNvr0QpkpCH3E=
=0tKf
-----END PGP SIGNATURE-----

Vous manquez d�espace pour stocker vos mails ?
Yahoo! Mail vous offre GRATUITEMENT 100 Mo !
Cr� votre Yahoo! Mail sur http://fr.benefits.yahoo.com/

Le nouveau Yahoo! Messenger est arriv� D�uvrez toutes les nouveaut�pour dialoguer instantan�nt avec vos amis. A t�charger gratuitement sur http://fr.messenger.yahoo.com

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Mon, 23 Aug 2004 00:07:27 +0200 (CEST)
From: =?iso-8859-1?q?Pascal=20Giard?= <email address hidden>
To: <email address hidden>
Subject: Proper priority

severity 264974 critical

breaks my system...

Vous manquez d�espace pour stocker vos mails ?
Yahoo! Mail vous offre GRATUITEMENT 100 Mo !
Cr� votre Yahoo! Mail sur http://fr.benefits.yahoo.com/

Le nouveau Yahoo! Messenger est arriv� D�uvrez toutes les nouveaut�pour dialoguer instantan�nt avec vos amis. A t�charger gratuitement sur http://fr.messenger.yahoo.com

Matt Zimmerman (mdz) wrote :

Severity-inflated support request

reassign 264974 apt
thanks

On Wed, 11 Aug 2004, Pascal Giard wrote:

> Package: dpkg
> Version: 1.10.23
> Severity: important
>
> Altho i've updated the package lists (both in dselect and with apt-get),
> the changes aren't effective.

How did you come to this conclusion? You give no mention of what you are
*really* trying to do. You only make some half-assed attempts at doing
something, and we have to use our psychic powers to infer what you actually
mean.

> I can't reinstall (apt-get install --reinstall <pkg>) updated packages.
> e.g. At the moment i can't reinstall base-files. If i try tp update it,
> it tells me it's up to date.

--reinstall tells apt to reinstall the exact version of the package you
currently have installed. It does *not* upgrade it. If the exact version of
the package you have installed is not available in sources.list, then apt will
do nothing.

> Looking closer to the package information, i can see that the "filename"
> isn't present for affected packages.

What did you do to figure this out? Please don't hold anything back.
Contrary to what I said above, we can not read your mind.

> So far, the only way i found in order to install the updated version of
> a package is to:
> -> dpkg -r <pkg>
> -> apt-get install <pkg>

apt-get install <pkg> is *not* the same as apt-get install --reinstall <pkg>.
Remove the --reinstall option, and it will work.

> That way, it downloads the last version (it's unacceptable for essential
> packages like base-files).
> So the information is somewhat there but apt-get and dselect are unable
> to use it.
>
> Here's the content of my /etc/apt/sources.list:
>
> deb http://ftp.it.debian.org/debian/ unstable main non-free contrib
> deb-src http://ftp.us.debian.org/debian/ unstable main non-free contrib
> deb http://non-us.debian.org/debian-non-US unstable/non-US main contrib
> non-free
> deb-src http://non-us.debian.org/debian-non-US unstable/non-US main
> contrib non-free
>
> deb http://download.videolan.org/pub/videolan/debian $(ARCH)/
> deb ftp://ftp.nerim.net/debian-marillat/ unstable main

Besides, this is an apt bug, not dpkg bug.

severity 264974 normal
thanks

On Wed, 11 Aug 2004, Pascal Giard wrote:

> Severity: important

It's not important, and not critical. It's user error, not reading
documentation.

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sun, 22 Aug 2004 20:11:39 -0500 (CDT)
From: Adam Heath <email address hidden>
To: =?iso-8859-1?q?Pascal=20Giard?= <email address hidden>,
    <email address hidden>
Subject: Re: Bug#264974: dpkg: Package database corruption ?

severity 264974 normal
thanks

On Wed, 11 Aug 2004, Pascal Giard wrote:

> Severity: important

It's not important, and not critical. It's user error, not reading
documentation.

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sun, 22 Aug 2004 20:05:07 -0500 (CDT)
From: Adam Heath <email address hidden>
To: =?iso-8859-1?q?Pascal=20Giard?= <email address hidden>,
    <email address hidden>
Subject: Re: Bug#264974: dpkg: Package database corruption ?

reassign 264974 apt
thanks

On Wed, 11 Aug 2004, Pascal Giard wrote:

> Package: dpkg
> Version: 1.10.23
> Severity: important
>
> Altho i've updated the package lists (both in dselect and with apt-get),
> the changes aren't effective.

How did you come to this conclusion? You give no mention of what you are
*really* trying to do. You only make some half-assed attempts at doing
something, and we have to use our psychic powers to infer what you actually
mean.

> I can't reinstall (apt-get install --reinstall <pkg>) updated packages.
> e.g. At the moment i can't reinstall base-files. If i try tp update it,
> it tells me it's up to date.

--reinstall tells apt to reinstall the exact version of the package you
currently have installed. It does *not* upgrade it. If the exact version of
the package you have installed is not available in sources.list, then apt will
do nothing.

> Looking closer to the package information, i can see that the "filename"
> isn't present for affected packages.

What did you do to figure this out? Please don't hold anything back.
Contrary to what I said above, we can not read your mind.

> So far, the only way i found in order to install the updated version of
> a package is to:
> -> dpkg -r <pkg>
> -> apt-get install <pkg>

apt-get install <pkg> is *not* the same as apt-get install --reinstall <pkg>.
Remove the --reinstall option, and it will work.

> That way, it downloads the last version (it's unacceptable for essential
> packages like base-files).
> So the information is somewhat there but apt-get and dselect are unable
> to use it.
>
> Here's the content of my /etc/apt/sources.list:
>
> deb http://ftp.it.debian.org/debian/ unstable main non-free contrib
> deb-src http://ftp.us.debian.org/debian/ unstable main non-free contrib
> deb http://non-us.debian.org/debian-non-US unstable/non-US main contrib
> non-free
> deb-src http://non-us.debian.org/debian-non-US unstable/non-US main
> contrib non-free
>
> deb http://download.videolan.org/pub/videolan/debian $(ARCH)/
> deb ftp://ftp.nerim.net/debian-marillat/ unstable main

Besides, this is an apt bug, not dpkg bug.

You were right, the problem was with apt.

Actually, the problem was with the /etc/apt/preferences file installed by upgrade-system.

-Pascal

Vous manquez d’espace pour stocker vos mails ?
Yahoo! Mail vous offre GRATUITEMENT 100 Mo !
Créez votre Yahoo! Mail sur http://fr.benefits.yahoo.com/

Le nouveau Yahoo! Messenger est arrivé ! Découvrez toutes les nouveautés pour dialoguer instantanément avec vos amis. A télécharger gratuitement sur http://fr.messenger.yahoo.com

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Mon, 23 Aug 2004 05:32:45 +0200 (CEST)
From: =?iso-8859-1?q?Pascal=20Giard?= <email address hidden>
To: <email address hidden>
Cc: <email address hidden>
Subject: found out the problem

You were right, the problem was with apt.

Actually, the problem was with the /etc/apt/preferences file installed by upgrade-system.

-Pascal

Vous manquez d�espace pour stocker vos mails ?
Yahoo! Mail vous offre GRATUITEMENT 100 Mo !
Cr� votre Yahoo! Mail sur http://fr.benefits.yahoo.com/

Le nouveau Yahoo! Messenger est arriv� D�uvrez toutes les nouveaut�pour dialoguer instantan�nt avec vos amis. A t�charger gratuitement sur http://fr.messenger.yahoo.com

Changed in dpkg:
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.